# Interface methods for submodule: ModulusImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import BinaryGeneratorImageFilterProxy as _BinaryGeneratorImageFilterProxy


# Interface methods for class: ModulusImageFilter
class ModulusImageFilterProxy(_BinaryGeneratorImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetDividend(self, _arg: int) -> None:
		""""""
		...

	def GetDividend(self) -> int:
		""""""
		...

